'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
var MERGE_STATE = exports.MERGE_STATE = '@@resolve/MERGE_STATE';
var SEND_COMMAND = exports.SEND_COMMAND = '@@resolve/SEND_COMMAND';
var SUBSCRIBE = exports.SUBSCRIBE = '@@resolve/SUBSCRIBE';
var UNSUBSCRIBE = exports.UNSUBSCRIBE = '@@resolve/UNSUBSCRIBE';
var PROVIDE_VIEW_MODELS = exports.PROVIDE_VIEW_MODELS = '@@resolve/PROVIDE_VIEW_MODELS';

function mergeState(viewModel, state) {
    return {
        type: MERGE_STATE,
        viewModel: viewModel,
        state: state
    };
}

function sendCommand(_ref) {
    var command = _ref.command,
        aggregateId = _ref.aggregateId,
        aggregateName = _ref.aggregateName,
        payload = _ref.payload;

    return {
        type: SEND_COMMAND,
        command: command,
        aggregateId: aggregateId,
        aggregateName: aggregateName,
        payload: payload
    };
}

function subscribe(viewModel, aggregateId) {
    return {
        type: SUBSCRIBE,
        viewModel: viewModel,
        aggregateId: aggregateId
    };
}

function unsubscribe(viewModel, aggregateId) {
    return {
        type: UNSUBSCRIBE,
        viewModel: viewModel,
        aggregateId: aggregateId
    };
}

function provideViewModels(viewModels) {
    return {
        type: PROVIDE_VIEW_MODELS,
        viewModels: viewModels
    };
}

exports.default = {
    mergeState: mergeState,
    sendCommand: sendCommand,
    subscribe: subscribe,
    unsubscribe: unsubscribe,
    provideViewModels: provideViewModels
};